Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Autor Téma: PHP 5.2.17  (Přečteno 2105 krát)

Selina

  • Návštěvník
  • Příspěvků: 5
    • Anime - Manga
PHP 5.2.17
« kdy: 29 Března 2011, 14:33:46 »
Zdravím,
potřebovala bych poradit, když mám na novém serveru nainstalováno PHP 5.3 a místo toho bych  tam potřebovala  PHP 5.2.17, je  nějaký  možný způsob, jak odstranit stávající PHP a  nahradit ho PHP 5.2.17 ??
Předem  děkuji za jakékoliv  nasměrování či případné rady.

Pavel Půlpán

Re: PHP 5.2.17
« Odpověď #1 kdy: 29 Března 2011, 14:35:21 »
Málo informací. Serverový operační systém je Ubuntu? Které vydání?

Jinak PHP 5.3 je z dostatečně zpětně kompatibilní se starší řadou, co přesně tě nutí použít 5.2?

Selina

  • Návštěvník
  • Příspěvků: 5
    • Anime - Manga
Re: PHP 5.2.17
« Odpověď #2 kdy: 29 Března 2011, 15:41:15 »
Málo informací. Serverový operační systém je Ubuntu? Které vydání?

Jinak PHP 5.3 je z dostatečně zpětně kompatibilní se starší řadou, co přesně tě nutí použít 5.2?
Omlouvám se za nedostatečné informace. Ano, serverový operační systém je Ubuntu 10.10.
V současné době provozuji webovou stránku přes publikační systém Drupal 5. Po přesunu na server mi přestaly fungovat některé stránky. Proto jsem vyuzila možnosti na webhostingu, kde lze přepínat PHP. 
Při přepnutí ze starší na novější verzi PHP dojde k nefunkčnosti stejných stránek jako na serveru, proto předpokládám zádrhel v PHP.


Pavel Půlpán

Re: PHP 5.2.17
« Odpověď #3 kdy: 29 Března 2011, 20:09:30 »
Pokud nedělá problém angličtina, zkusil bych tento článek:
http://thejibe.com/blog/10/10/php-5210-debs-ubuntu-1010-maverick

Jinak, samozřejmě (jako velký příznivec Drupalu :)) doporučuji zauvažovat nad migrací na vyšší verzi Drupalu. ;)

Selina

  • Návštěvník
  • Příspěvků: 5
    • Anime - Manga
Re: PHP 5.2.17
« Odpověď #4 kdy: 30 Března 2011, 20:54:01 »
Pokud nedělá problém angličtina, zkusil bych tento článek:
http://thejibe.com/blog/10/10/php-5210-debs-ubuntu-1010-maverick

Jinak, samozřejmě (jako velký příznivec Drupalu :)) doporučuji zauvažovat nad migrací na vyšší verzi Drupalu. ;)
Zkoušela jsem postupovat podle toho návodu, bohužel ne příliš úspěšně.
Zkoušela jsem i tyto návody:
http://jaknato.net/web-server/15-web-server/37-jak-nainstalovat-php-52-na-ubuntu-1004-nebo-1010.html
http://harx.nl/component/content/article/2-linux/22-installingphp52onubuntu1010
bohužel výsledek je pokaždé stejný, neboť mi nainstaluje PHP 5.3
Jinak migraci drupalu na vyšší verzi plánujeme, chtěli jsme  to právě udělat na  serveru a rovnou to  tam  spustit.

creco

  • Návštěvník
  • Příspěvků: 1
Re: PHP 5.2.17
« Odpověď #5 kdy: 05 Dubna 2011, 01:02:25 »
selino... pisni me na ondra@tyhan.cz mailik s icq... psal jsem ten clanek na jaknato.net... pomuzu ti s tim... ale predpokladam nekdy ve vecernich hodinach...

Tomáš Břinčil

  • Občanské sdružení Ubuntu ČR
  • Závislák
  • ***
  • Příspěvků: 1610
  • moje obrázky ↓
    • TomasBrincil.cz
Re: PHP 5.2.17
« Odpověď #6 kdy: 05 Dubna 2011, 16:45:27 »
selino... pisni me na ondra@tyhan.cz mailik s icq... psal jsem ten clanek na jaknato.net... pomuzu ti s tim... ale predpokladam nekdy ve vecernich hodinach...
Od toho je fórum, aby se problémy řešili veřejně.
Pokud tady už Pavel věnoval nějaký čas řešení problému, tak to tady laskavě dořešte nebo aspoň napiště jak to dopadlo.
To bychom tady mohli mít jen kontakty a celé forum by ztrácelo smysl. ;)

 

Provoz zaštiťuje spolek OpenAlt.